Bug 116653 - New port graphics/pfstools
New port graphics/pfstools
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Edwin Groothuis
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 08:30 UTC by darius
Modified: 2007-10-02 09:50 UTC (History)
0 users

See Also:


Attachments
aa (6.61 KB, text/plain; charset=us-ascii)
2007-09-30 13:24 UTC, edwin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description darius 2007-09-26 08:30:01 UTC

Fix: 

http://www.dons.net.au/~darius/pfstools-port.tgz

MD5 (pfstools-port.tgz) = e10d06ddadc92a52852f1ce7d94ad5f7
Comment 1 Edwin Groothuis freebsd_committer 2007-09-26 08:30:12 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests)
Comment 2 edwin 2007-09-30 02:21:34 UTC
You should put the MAN descriptions before the bsd.port.pre.mk,
and add:

MLINKS=         pfsoutppm.1 pfsouttiff.1 \
                pfsoutppm.1 pfsoutrgbe.1

I didn't get lib/libpfs-1.2.so.0.0, I got lib/libpfs-1.2.so.0 and
lib/libpfs-1.2.so

And somehow the pkgconfig file should move from lib/pkgconfig/pfs.pc
to libdata/pkgconfig (portlint)

Edwin

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 3 Edwin Groothuis freebsd_committer 2007-09-30 02:22:29 UTC
State Changed
From-To: open->feedback

Waiting for fixes.
Comment 4 Edwin Groothuis freebsd_committer 2007-09-30 02:25:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->edwin

I'll handle it with submitter
Comment 5 edwin 2007-09-30 13:19:49 UTC
===>  Deinstalling for graphics/pfstools
===>   Deinstalling pfstools-1.6.2
pkg_delete: file '/usr/local/lib/libpfs-1.2.so.0.0' doesn't exist

And:

Directories found before but not after:
< 1672913        4 drwxr-xr-x    2 root             wheel                 512 Sep 30 09:08 /usr/local/share/octave/2.1.73/site
Directories found after but not before:
Files found before but not after:
Files found after but not before:
> 3869182       32 -r-xr-xr-x    1 root             wheel               15180 Sep 30 12:17 /usr/local/bin/pfsintiff
> 3869183       32 -r-xr-xr-x    1 root             wheel               14856 Sep 30 12:17 /usr/local/bin/pfsouttiff
> 3864770       96 -rwxr-xr-x    1 root             wheel               48767 Sep 30 12:17 /usr/local/lib/libpfs-1.2.so.0
> 3869238        4 -r--r--r--    1 root             wheel                 857 Sep 30 12:17 /usr/local/man/man1/pfsoctavelum.1
> 3869239        4 -r--r--r--    1 root             wheel                 850 Sep 30 12:17 /usr/local/man/man1/pfsoctavergb.1


-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 6 edwin 2007-09-30 13:24:24 UTC
See attachment for changes.

-- 
Edwin Groothuis      |            Personal website: http://www.mavetju.org
edwin@mavetju.org    |              Weblog: http://www.mavetju.org/weblog/
Comment 7 dfilter freebsd_committer 2007-10-02 08:44:48 UTC
edwin       2007-10-02 07:44:42 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/pfstools    Makefile distinfo pkg-descr pkg-plist 
    graphics/pfstools/files patch-pkgconfig-install.diff 
  Log:
  New port graphics/pfstools
  
          A set of command line (and one GUI) programs for reading,
          writing, manipulating and viewing high-dynamic range (HDR)
          images and video frames.
  
          WWW: http://www.mpi-inf.mpg.de/resources/pfstools/
  
  PR:             ports/116653
  Submitted by:   "Daniel J. O'Connor" <darius@dons.net.au>
  
  Revision  Changes    Path
  1.1107    +1 -0      ports/graphics/Makefile
  1.1       +63 -0     ports/graphics/pfstools/Makefile (new)
  1.1       +3 -0      ports/graphics/pfstools/distinfo (new)
  1.1       +11 -0     ports/graphics/pfstools/files/patch-pkgconfig-install.diff (new)
  1.1       +4 -0      ports/graphics/pfstools/pkg-descr (new)
  1.1       +65 -0     ports/graphics/pfstools/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Edwin Groothuis freebsd_committer 2007-10-02 08:44:52 UTC
State Changed
From-To: feedback->closed

Committed, thanks!